#include "CoreBaseUserWidget.h"
#include "Animation/WidgetAnimationEvents.h"
#include "Blueprint/UserWidget.h"

class UWidgetAnimation;

void UCoreBaseUserWidget::UpdateScale_Implementation(float scale)
{

}

bool UCoreBaseUserWidget::StopAnimationByName(FName animName)
{
	return false;
}

void UCoreBaseUserWidget::RegisterForInput()
{

}

UWidgetAnimation* UCoreBaseUserWidget::PlayAnimationByNameWithFinishedDelegate(FName animName, FWidgetAnimationDynamicEvent animationFinishedDelegate, float startTime, int32 loopCount, EUMGSequencePlayMode::Type playMode, float playbackSpeed)
{
	return NULL;
}

bool UCoreBaseUserWidget::PlayAnimationByName(FName animName, float starttime, int32 loopcount, EUMGSequencePlayMode::Type playMode, float playbackspeed)
{
	return false;
}

UWidgetAnimation* UCoreBaseUserWidget::GetAnimationByName(FName animName) const
{
	return NULL;
}

void UCoreBaseUserWidget::DeregisterFromInput()
{

}

UCoreBaseUserWidget::UCoreBaseUserWidget() : UUserWidget(FObjectInitializer::Get())
{
	this->IsInteractive = false;
	this->_controlMode = EControlMode::UNDEFINED;
	this->ScaleType = EScaleType::None;
}
